> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# fetchTrendingFungibles

Trending fungibles

> **Group:** Onchain APIs

Use this when you need: **Trending fungibles**.

## Usage

```ts theme={"system"}
import { NeynarAPIClient, Configuration } from "@neynar/nodejs-sdk";

const client = new NeynarAPIClient(
  new Configuration({ apiKey: "YOUR_NEYNAR_API_KEY" })
);

const res = await client.fetchTrendingFungibles({
  network: "value", // A blockchain network e.g. \&quot;ethereum\&quot;, \&quot;optimism\&quot;, \&quot;base\&quot;, \&quot;arbitrum\&quot;, \&quot;robinhood\&quot;
  // timeWindow: "value", 
});
console.log(res);
```

## Parameters

| Parameter    | Type                                   | Required | Description                                                                                                                                   |
| ------------ | -------------------------------------- | :------: | --------------------------------------------------------------------------------------------------------------------------------------------- |
| `network`    | `FetchTrendingFungiblesNetworkEnum`    |     ✅    | A blockchain network e.g. \&quot;ethereum\&quot;, \&quot;optimism\&quot;, \&quot;base\&quot;, \&quot;arbitrum\&quot;, \&quot;robinhood\&quot; |
| `timeWindow` | `FetchTrendingFungiblesTimeWindowEnum` |     ❌    | -                                                                                                                                             |

## Response

Returns a `RequestArgs` object.

## Error Handling

```ts theme={"system"}
try {
  const res = await client.fetchTrendingFungibles({
    network: "value"
  });
  // use res
} catch (err) {
  // Axios/HTTP errors, invalid params, auth issues, etc.
  console.error(err);
}
```

## Related API Reference

📖 **API Reference:** [fetchTrendingFungibles](/reference/fetch-trending-fungibles)

For detailed information about the HTTP endpoint, request/response schemas, and additional examples, see the complete API documentation.

## Tips

* Provide a **viewerFid** when supported to respect mutes/blocks and include `viewer_context`.
* Keep requests scoped (e.g., use `limit`) to improve latency.
* Cache results where sensible.


## Related topics

- [Trending fungibles](/reference/fetch-trending-fungibles.md)
- [Fetch fungibles](/reference/fetch-fungibles.md)
- [Fetch trending feed](/reference/fetch-trending-feed.md)
- [fetchTrendingFeed](/nodejs-sdk/feed-apis/fetchTrendingFeed.md)
- [fetchFungibles](/nodejs-sdk/onchain-apis/fetchFungibles.md)
